summaryrefslogtreecommitdiff
path: root/bin/mailsync
diff options
context:
space:
mode:
authorLuke Smith <luke@lukesmith.xyz>2019-05-20 12:59:27 -0400
committerLuke Smith <luke@lukesmith.xyz>2019-05-20 12:59:27 -0400
commit4c57b410fc72d332ccdcf939e58521a248ca5fd0 (patch)
tree8fa6cc9bf8564485ef9b044f0c093cc411ed0355 /bin/mailsync
parent27655714ef340a0df6a1e177c7f28f2cc887fa84 (diff)
gnuisms removed
Diffstat (limited to 'bin/mailsync')
-rwxr-xr-xbin/mailsync6
1 files changed, 3 insertions, 3 deletions
diff --git a/bin/mailsync b/bin/mailsync
index 43429f5..b038fe6 100755
--- a/bin/mailsync
+++ b/bin/mailsync
@@ -2,7 +2,7 @@
# Sync mail and give notification if there is new mail.
# Run only if user logged in (prevent cron errors)
-pgrep -cu "$USER" >/dev/null || exit
+pgrep -u "$USER" >/dev/null || exit
# Checks for internet connection and set notification script.
ping -q -c 1 1.1.1.1 > /dev/null || exit
@@ -18,7 +18,7 @@ else
fi
echo " 🔃" > /tmp/imapsyncicon_$USER
-pkill -RTMIN+12 i3blocks
+pkill -RTMIN+12 i3blocks >/dev/null 2>&1
# Run mbsync. You can feed this script different settings.
if [ $# -eq 0 ]; then
@@ -28,7 +28,7 @@ else
fi
rm -f /tmp/imapsyncicon_$USER
-pkill -RTMIN+12 i3blocks
+pkill -RTMIN+12 i3blocks >/dev/null 2>&1
# Check all accounts/mailboxes for new mail. Notify if there is new content.
for account in "$HOME/.local/share/mail/"*